commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "matthew.hawthorne" <ma...@apache.org>
Subject Re: [collections] JDK1.5
Date Thu, 24 Jun 2004 15:53:54 GMT
Henri Yandell wrote:
> Just to ask the village idiot question, why would moving to 1.5 mean
> losing 1.4 support?
> 
> From what I understood (which is not much), 1.5 maintains
> binary-compatibility with 1.4 for Collections as far as generics go, but
> not compile-time (obviously).
> 
> We just need to have a process in which Collections is tested in 1.2, 1.3,
> 1.4 and 1.5, but write it under 1.5?
> 
> I imagine it would bloat the API for 1.4 with all the generated methods.


I thought this was true only if you don't use any of the 1.5 features. 
For example,
if you use the 'assert' keyword in your code, you have to set the source 
and
target to 1.4.  I figured that same was true for using generics of any 
of the
other 1.5 stuff.  I never am quite sure how this stuff works...

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message